using System;

///<summary>操作编辑器接口</summary>
public interface IOperateEditor
{
    ///<summary>名称</summary>
    string Name { get; }
    ///<summary>组件</summary>
    Type Component { get; }

    ///<summary>初始化</summary>
    ///<param name="json">Json数据</param>
    void Init(string json);

    ///<summary>绘制窗口</summary>
    void OnGUI();

    ///<summary>获取编辑器数据</summary>
    string ToData();

    ///<summary>释放</summary>
    void Dispose();
}